Loading...
Searching...
No Matches
elxLibUtilities.h File Reference
`#include "elxForEachSupportedImageType.h"`
`#include <itkCastImageFilter.h>`
`#include <itkDataObject.h>`
`#include <itkSmartPointer.h>`
`#include <map>`
`#include <string>`
`#include <type_traits>`
`#include <vector>`
Include dependency graph for elxLibUtilities.h:

Go to the source code of this file.

## Namespaces

namespace | elastix
namespace | elastix::LibUtilities

## Typedefs

using | elastix::LibUtilities::ParameterMapType = std::map<std::string, ParameterValuesType>
using | elastix::LibUtilities::ParameterValuesType = std::vector<std::string>

## Functions

template<typename TInputImage>
itk::SmartPointer< itk::DataObject > | elastix::LibUtilities::CastToInternalPixelType (itk::SmartPointer< TInputImage > inputImage, const std::string &internalPixelTypeString)
std::string | elastix::LibUtilities::RetrievePixelTypeParameterValue (const ParameterMapType &parameterMap, const std::string &parameterName)
void | elastix::LibUtilities::SetParameterValueAndWarnOnOverride (ParameterMapType &parameterMap, const std::string &parameterName, const std::string &parameterValue)

Generated on 1768596610 for elastix by 1.15.0 |